%global srcname scripttest
%global sum Helper to test command-line scripts
%global desc \
ScriptTest is a library to help you test your interactive \
command-line applications. \
\
With it you can easily run the command (in a subprocess) and see \
the output (stdout, stderr) and any file modifications.

Name:           python-%{srcname}
Version:        1.3.0
Release:        11%{?dist}
Summary:        %{sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/ScriptTest/
Source0:        https://github.com/pypa/scripttest/archive/1.3.0.tar.gz

BuildArch:      noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx
BuildRequires: python-nose
BuildRequires: pytest

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
# Build with python2 sphinx for now
#BuildRequires: python%{python3_pkgversion}-sphinx
BuildRequires: python%{python3_pkgversion}-nose
BuildRequires: python%{python3_pkgversion}-pytest
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools
BuildRequires: python%{python3_other_pkgversion}-nose
BuildRequires: python%{python3_other_pkgversion}-pytest
%endif

%description %{desc}

%package -n     python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %{desc}

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname} %{desc}

%if 0%{?with_python3_other}
%package -n     python%{python3_other_pkgversion}-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname} %{desc}
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%py3_build
%py3_other_build

sphinx-build -b html docs/ docs/html


%install
%py2_install
%py3_install
%py3_other_install


%check
%{__python2} setup.py test
%{__python3} setup.py test
%{__python3_other} setup.py test


%files -n python2-%{srcname}
%doc docs/html
%license docs/license.rst
%{python2_sitelib}/%{srcname}.py
%{python2_sitelib}/%{srcname}.py[co]
%{python2_sitelib}/%{srcname}*.egg-info

%files -n python%{python3_pkgversion}-%{srcname}
%doc docs/html
%license docs/license.rst
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/__pycache__/%{srcname}.cpython-??*
%{python3_sitelib}/%{srcname}*.egg-info

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{srcname}
%doc docs/html
%license docs/license.rst
%{python3_other_sitelib}/%{srcname}.py
%{python3_other_sitelib}/__pycache__/%{srcname}.cpython-??*
%{python3_other_sitelib}/%{srcname}*.egg-info
%endif


%changelog
* Tue Nov 14 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.3.0-11
- Build for python3_other

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Mar 17 2017 Orion Poplawski <orion@cora.nwra.com> - 1.3.0-9
- Ship python2-scriptest
- Modernize spec

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Robert Kuska <rkuska@redhat.com> - 1.3.0-4
- Rebuilt for Python3.5 rebuild
- Change pattern for files under __pycache__ folder

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 02 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.3.0-2
- Add python3 subpackage

* Wed Jul 02 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.4-10
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 21 2010 Martin Bacovsky <mbacovsk@redhat.com> - 1.0.4-2
- generated docs moved to html subdir
- license file added to docs

* Tue Jul 13 2010 Martin Bacovsky <mbacovsk@redhat.com> - 1.0.4-1
- Initial package
- fixed issue preventing build and usage on ext4.
